Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162644 - sudo logging truncates username to 8 characters
Summary: sudo logging truncates username to 8 characters
Keywords:
Status: CLOSED DUPLICATE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sudo
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-07 05:27 UTC by Sue Webb
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-12 14:50:57 UTC


Attachments (Terms of Use)

Description Sue Webb 2005-07-07 05:27:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

Description of problem:
sudo logging truncates the username to 8 characters.  We are using windows domain ids which are not fully logged, eg. nemmco\suzannew is shown in logs as nemmco\s.  

Version-Release number of selected component (if applicable):
1.6.7p5-1.1

How reproducible:
Always

Steps to Reproduce:
1.Log entries do not show whole user name.
2.
3.
  

Actual Results:  Log entries do not show whole username, it is truncated at 8 characters.

Additional info:

We chose sudo instead of su because of the better audit trail, but this bug prevents having the full audit trail, thus is a security issue.

Comment 2 Karel Zak 2005-07-12 14:50:57 UTC

*** This bug has been marked as a duplicate of 163044 ***


Note You need to log in before you can comment on or make changes to this bug.